import type { IFileSystem } from '@file-services/types';
import type * as postcss from 'postcss';
import { HoverSettings } from 'vscode-css-languageservice';
import { TextDocument } from 'vscode-languageserver-textdocument';
import { Color, ColorInformation, ColorPresentation, CompletionItem, Diagnostic, Hover, Location, Position, Range } from 'vscode-languageserver-types';
/**
 * the API for "normal" css language features fallback
 */
export declare class CssService {
    private fs;
    private inner;
    constructor(fs: IFileSystem);
    getCompletions(document: TextDocument, position: Position): CompletionItem[];
    createSanitizedDocument(ast: postcss.Root, filePath: string, version: number): TextDocument;
    private cleanValuesInMediaQuery;
    private cleanStScopes;
    getDiagnostics(document: TextDocument): Diagnostic[];
    doHover(document: TextDocument, position: Position, settings?: HoverSettings): Hover | null;
    findReferences(document: TextDocument, position: Position): Location[];
    getColorPresentations(document: TextDocument, color: Color, range: Range): ColorPresentation[];
    findColors(document: TextDocument): ColorInformation[];
    findColor(document: TextDocument): Color | null;
}
//# sourceMappingURL=css-service.d.ts.map